Skip to content
Niu DocsNiu 牛元文档
Dashboard控制台

NiuClientOptions

Generated from the checked-in source. Do not edit this reference by hand.

SDK source. All SDK types.

TypeScript
export type NiuClientOptions = {
apiKey: string;
/** Optional workspace API key ID when apiKey is a console session token. Sends X-Niu-Key-Id. */
keyId?: string;
/** Defaults to Authorization: Bearer. Use x-niu-api-key to preserve a separate provider Authorization header. */
credentialHeader?: NiuCredentialHeader;
baseURL?: string;
fetch?: typeof globalThis.fetch;
defaultHeaders?: HeadersInit;
};